Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.basic
Class ThreadSafeSimpleDateFormat

    java.lang.Object
      com.thoughtworks.xstream.core.util.ThreadSafeSimpleDateFormat
          com.thoughtworks.xstream.converters.basic.ThreadSafeSimpleDateFormat

Deprecated. since 1.2.1, moved to com.thoughtworks.xstream.core.util. It is not part of public API, use on your own risk.

    public class ThreadSafeSimpleDateFormat

extends com.thoughtworks.xstream.core.util.ThreadSafeSimpleDateFormat

Wrapper around java.text.SimpleDateFormat that can be called by multiple threads concurrently.

Author:
  Joe Walnes

Constructor Summary
`ThreadSafeSimpleDateFormat(String format, int initialPoolSize, int maxPoolSize)` Deprecated.

Method Summary
`String` | `format(Date date)` Deprecated.
`Date` | `parse(String date)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadSafeSimpleDateFormat

    public ThreadSafeSimpleDateFormat(String format,
                                      int initialPoolSize,
                                      int maxPoolSize)

  Deprecated.

Method Detail

### format

    public String format(Date date)

  Deprecated.
  Overrides:
    `format` in class `com.thoughtworks.xstream.core.util.ThreadSafeSimpleDateFormat`

### parse

    public Date parse(String date)
               throws ParseException

  Deprecated.
  Overrides:
    `parse` in class `com.thoughtworks.xstream.core.util.ThreadSafeSimpleDateFormat`
  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.